{% extends 'pathotrack/layout/base.html' %}

{% block top-menu %}{% endblock top-menu %}

{% block content %}

<div class="box">
  <div class="card">
    <div class="card-header">
      <h3 class="card-title">Patient Details</h3>
    </div>

    <div class="table-responsive">
      <table class="table table-striped table-vcenter card-table">
        <tbody>
          {% for key,value in patient.get_fields %}
          {% if key != 'ID' and key != 'Title' %}
          <tr>
            <th socpe="row">
              {{ key }}
            </th>
            <td>
                {% if key == 'Name' %}
                {{ patient.get_patient_title_display }}. {{ value|capfirst }}

                {% elif key == 'Date of birth' or key == 'Registration date' %}
                {{ value|date:"M d, Y" }} <small>({{ value|date:"d/m/Y" }})</small>

                {% elif key == 'District' %}
                {{ patient.patient_district }}

                {% elif key == 'State' %}
                {{ patient.patient_state }}

                {% elif key == 'Email' %}
                {{ value }}

                {% else %}
                {{ value|capfirst }}
            </td>
            {% endif %}
          </tr>
          {% endif %}
          {% endfor %}
        </tbody>
      </table>
    </div>

    <div class="card-footer">
      <form method="POST">
        {% csrf_token %}
        <input type="hidden" name="patient_id" value={{ patient.id }}>

        <span class="d-flex">
          <button class="btn btn-secondary m-1" type="submit" name="submit" value="list">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-arrow-left-circle" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <circle cx="12" cy="12" r="9" />
              <line x1="8" y1="12" x2="16" y2="12" />
              <line x1="8" y1="12" x2="12" y2="16" />
              <line x1="8" y1="12" x2="12" y2="8" />
            </svg>
            Back
          </button>

          <button class="btn btn-danger m-1 ml-auto" type="submit" name="submit" value="delete">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <line x1="4" y1="7" x2="20" y2="7" />
              <line x1="10" y1="11" x2="10" y2="17" />
              <line x1="14" y1="11" x2="14" y2="17" />
              <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" />
              <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" />
            </svg>
            Delete
          </button>

          <button class="btn btn-warning m-1" type="submit" name="submit" value="edit">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
              <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
              <line x1="16" y1="5" x2="19" y2="8" />
            </svg>
            Edit
          </button>
        </span>
      </form>
    </div>
  </div>

  <div class="card">
    <div class="card-header">
      <h2>Reports</h2>
      <div class="ml-auto">
        <form method="POST">
          {% csrf_token %}
          <input type="hidden" name="patient_id" value="{{ patient.id }}">
          <button class="btn btn-primary" type="submit" name="submit" value="report">
            <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-circle-plus" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
              <path stroke="none" d="M0 0h24v24H0z"/>
              <circle cx="12" cy="12" r="9" />
              <line x1="9" y1="12" x2="15" y2="12" />
              <line x1="12" y1="9" x2="12" y2="15" />
            </svg>
            Add Report
          </button>
        </form>
      </div>
    </div>
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-vcenter card-table">
                <thead>
                    <tr>
                        <th>Sl No</th>
                        <th>Pathology ID</th>
                        <th>Entry Date</th>
                        <th>Sample</th>
                        <th>Accession No</th>
                        <th>Status</th>
                        <th>Actions</th>
                    </tr>
                </thead>

                <tbody>
                    {% for report in reports %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ report.pathology_id }}</td>
                        <td>{{ report.patient_enter_date }}</td>
                        <td>{{ report.patient_sample }}</td>
                        <td>{{ report.acc_no }}</td>
                        <td><span class="badge {{ report.report_status }} ml-2 px-2">{{ report.report_status }}</span></td>

                        <td width="240">
                          <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="patient_id" value="{{ patient.id }}">
                            <input type="hidden" name="acc_no" value={{ report.acc_no }}>
                                <button class="btn btn-sm btn-success" type="submit" name="submit" value="report-view">
                                    <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-eye" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                        <path stroke="none" d="M0 0h24v24H0z"/>
                                        <circle cx="12" cy="12" r="2" />
                                        <path d="M2 12l1.5 2a11 11 0 0 0 17 0l1.5 -2" />
                                        <path d="M2 12l1.5 -2a11 11 0 0 1 17 0l1.5 2" />
                                    </svg>
                                    View
                                </button>

                                <!--
                                     <button class="btn btn-sm btn-warning" type="submit" name="submit" value="report-edit">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-edit" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <path d="M9 7 h-3a2 2 0 0 0 -2 2v9a2 2 0 0 0 2 2h9a2 2 0 0 0 2 -2v-3" />
                                     <path d="M9 15h3l8.5 -8.5a1.5 1.5 0 0 0 -3 -3l-8.5 8.5v3" />
                                     <line x1="16" y1="5" x2="19" y2="8" />
                                     </svg>
                                     Edit
                                     </button>

                                     <button class="btn btn-sm btn-danger" type="submit" name="submit" value="report-delete">
                                     <svg xmlns="http://www.w3.org/2000/svg" class="icon icon-tabler icon-tabler-trash" width="44" height="44" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                                     <path stroke="none" d="M0 0h24v24H0z"/>
                                     <line x1="4" y1="7" x2="20" y2="7" />
                                     <line x1="10" y1="11" x2="10" y2="17" />
                                     <line x1="14" y1="11" x2="14" y2="17" />
                                     <path d="M5 7l1 12a2 2 0 0 0 2 2h8a2 2 0 0 0 2 -2l1 -12" />
                                     <path d="M9 7v-3a1 1 0 0 1 1 -1h4a1 1 0 0 1 1 1v3" />
                                     </svg>
                                     Delete
                                     </button>
                                -->

                          </form>
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>

    </div>
  </div>
</div>
<script>
 $(document).ready(function(){
     $('.draft').removeClass('draft').addClass('bg-pink');
     $('.wip').removeClass('wip').addClass('bg-orange');
     $('.submitted').removeClass('submitted').addClass('bg-blue');
 });
</script>

{% endblock content %}

